<?php

$default_offset = carbon_get_post_meta( $post_id, 'qp_x_btn_default_offset' );
$offset         = carbon_get_post_meta( $post_id, 'qp_x_btn_offset' );

if ( empty( $offset ) ) {
	$offset = '0';
}

$offset_style   = '';

if ( empty( $default_offset ) ) {
	$offset_style   = sprintf( 'top: %s; right: %s;', esc_html( $offset ), esc_html( $offset ) );
}